Package org.eclipse.graphiti.ui.internal.parts

## Class GFAdapter

- java.lang.Object
- - org.eclipse.ui.model.WorkbenchAdapter
  - - org.eclipse.graphiti.ui.internal.parts.GFAdapter

All Implemented Interfaces:
  `IGFAdapter`, `org.eclipse.ui.model.IWorkbenchAdapter`, `org.eclipse.ui.model.IWorkbenchAdapter2`, `org.eclipse.ui.model.IWorkbenchAdapter3`

    public class GFAdapter
    extends org.eclipse.ui.model.WorkbenchAdapter
    implements IGFAdapter

The Class GFAdapter.

### Field Summary

### Fields inherited from class org.eclipse.ui.model.WorkbenchAdapter

`NO_CHILDREN`

### Constructor Summary

Constructors
`GFAdapter()` Creates a new `GFAdapter`.

### Method Summary

All Methods Instance Methods Concrete Methods
`org.eclipse.emf.ecore.EObject[]` `getBusinessObjects​(java.lang.Object object)` Gets the business objects.
`java.lang.String` `getLabel​(java.lang.Object object)`
`PictogramElement` `getPictogramElement​(java.lang.Object object)` Gets the pictogram element.

### Methods inherited from class org.eclipse.ui.model.WorkbenchAdapter

`getBackground, getChildren, getFont, getForeground, getImageDescriptor, getParent, getStyledText`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.ui.model.IWorkbenchAdapter

`getChildren, getImageDescriptor, getParent`

### Methods inherited from interface org.eclipse.ui.model.IWorkbenchAdapter2

`getBackground, getFont, getForeground`

### Constructor Detail

#### GFAdapter

    public GFAdapter()

Creates a new `GFAdapter`.

### Method Detail

#### getLabel

    public java.lang.String getLabel​(java.lang.Object object)

Specified by:
  `getLabel` in interface `org.eclipse.ui.model.IWorkbenchAdapter`
Overrides:
  `getLabel` in class `org.eclipse.ui.model.WorkbenchAdapter`

#### getPictogramElement

    public PictogramElement getPictogramElement​(java.lang.Object object)

Description copied from interface: `IGFAdapter`
Gets the pictogram element.

Specified by:
  `getPictogramElement` in interface `IGFAdapter`
Parameters:
  `object` - the object
Returns:
  the pictogram element

#### getBusinessObjects

    public org.eclipse.emf.ecore.EObject[] getBusinessObjects​(java.lang.Object object)

Description copied from interface: `IGFAdapter`
Gets the business objects.

Specified by:
  `getBusinessObjects` in interface `IGFAdapter`
Parameters:
  `object` - the object
Returns:
  the business objects